@font-face {
    font-family: 'Satoshi';
    src: url('../fonts/Satoshi-Light.woff2') format('woff2');
    font-weight: 300;
}

@font-face {
    font-family: 'Satoshi';
    src: url('../fonts/Satoshi-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Satoshi';
    src: url('../fonts/Satoshi-Medium.woff2') format('woff2');
    font-weight: 500;
}

@font-face {
    font-family: 'Satoshi';
    src: url('../fonts/Satoshi-Bold.woff2') format('woff2');
    font-weight: 600;
}

@font-face {
    font-family: 'Satoshi';
    src: url('../fonts/Satoshi-Black.woff2') format('woff2');
    font-weight: 700;
    font-style: bold;
}

.schoolbell-regular {
  font-family: "Schoolbell", cursive;
  font-weight: 400;
  font-style: normal;
}

:root {
    --font-color: #362B2B;
    --alternative-font-color: #5C5C5C;
    --primary-color: #acc2c9;
    --secondary-color: #F4F1E6;
    --background-color: #FAFAFA;
    --alternative-background-color: #F0EBE6;
    --accent-color: #978865;

    --border-radius: 16px;
    --page-margin: 72px;
    --small-margin: 16px;
    --medium-padding: 24px;
    --section-spacing: 120px;
    --content-max-width: 1200px;

    --title: 64px;
    --header1: 48px;
    --header2: 32px;
    --sub-header: 24px;
    --body: 18px;
}

html {
    scroll-behavior: smooth;
}

#scroll {
    position: absolute;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 14px;
    line-height: 1;
    color: var(--accent-color);
}

.site-title {
    font-size: var(--body);
    font-weight: 600;
    text-decoration: none;
    color: var(--font-color);
}

.project-link {
    text-decoration: none;
    color: inherit;
    display: block;
}

.section-header {
    text-align: left;
    padding: 0 var(--page-margin);
    box-sizing: border-box;
    color: var(--accent-color);
}

.container {
    width: 100%;
    max-width: var(--content-max-width);
    margin: 0 auto;
    box-sizing: border-box;
}

h1 {
    font-weight: 600;
    font-size: var(--header1);
    margin: 0;
}

h2 {
    font-weight: 600;
    font-size: var(--header2);
    margin: 0;
    line-height: 1.5;
}

h3, h4 {
    font-weight: 500;
    font-size: var(--sub-header);
    line-height: 1.5;
    margin: 0;
}

p {
    line-height: 1.5;
    font-size: var(--body);
    margin: 0;
}

body {
    margin: 0 auto;
    background-color: var(--background-color);
    color: var(--font-color);
    font-family: 'Satoshi', sans-serif;
}

/* lazy load animation */
.reveal {
    opacity: 0;
    transform: translateY(40px);
    transition: opacity 0.8s ease, transform 0.8s ease;
}

.reveal.active {
    opacity: 1;
    transform: translateY(0);
}

button {
    font-size: 24px;
    padding: 8px 16px;
    border-radius: 24px;
    font-family: 'Satoshi', sans-serif;
    border: 2px solid var(--accent-color);
    color: var(--accent-color);
    background-color: var(--alternative-background-color);
    cursor: pointer;
    align-items: center;
    transition: background-color 0.2s ease-out, color 0.2s ease-out;
}

button a {
    text-decoration: none;
    color: inherit;
}

button:hover {
    background-color: var(--accent-color);
    color: var(--background-color);
    transition: background-color 0.2s ease-in, color 0.2s ease-in;
}

/* navigation bar */
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    padding: 24px;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--secondary-color);
    color: var(--font-color);
    font-size: 16px;
    width: 100%;
    max-width: 1200px;
    height: 64px;
    padding: 0 48px;
    border-radius: 48px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}


nav h2 {
    font-size: 16px;
    font-weight: bold;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: right;
    align-items: center;
}

nav ul li a {
    display: block;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    color: var(--font-color);
    transition: color 0.3s ease;
}

nav ul li a:hover {
    color: var(--accent-color);
}

/* -------- home page -------- */
/* hero section */
.name {
    padding-bottom: 16px;
}

.hero {
    position: relative;
    height: 100vh;
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;
    border-bottom: 8px dashed var(--accent-color);
}

.hero-content {
    width: 50%;
}

.hero-content h1 {
    font-family: "Schoolbell", cursive;
    font-size: 80px;
    line-height: 1.0;
    font-weight: 500;
    margin: 0;
}

.work {
    position: relative;
    justify-content: center;
    align-items: center;
    padding-top: var(--page-margin);
    padding-bottom: var(--page-margin);
    background-color: var(--alternative-background-color);
}

/* project section */
.work-content {
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: center;
    gap: 40px;
    padding-top: var(--page-margin);
    padding-bottom: var(--page-margin);
}

.projects {
    flex: 1 1 600px;
    height: auto;
    display: flex;
    position: relative;
    overflow: hidden;
    flex-direction: column;
    background-color: var(--background-color);
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    padding: 20px;
    transition: transform 0.3s ease-out;
}

.projects:hover {
    transform: scale(1.04);
    transition: transform 0.3s ease-in;
}

.projects img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    border-radius: 10px;
    transition: opacity 0.2s ease-out;
}

.project-title h1 {
    margin-bottom: 4px;
}

.project-title h3 {
    margin-top: 0;
    margin-bottom: 8px;
    color: var(--alternative-font-color);
    font-size: 14px;
}

/* project description overlay */
.project-description h3 {
    margin-top: 0;
    font-size: 24px;
}

.project-description {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    opacity: 0;
    padding: 20px;
    box-sizing: border-box;
    pointer-events: none;
}


.projects .project-description {
    top: 50%;
    transform: translateY(-50%);
    transition: opacity 0.2s ease-out;
}

.projects:hover img {
    opacity: 0.1;
    transition: opacity 0.2s ease-in;
}

.projects:hover .project-description {
    opacity: 1;
    transition: opacity 0.2s ease-in;
}

/* about section */
.about {
    position: relative;
    justify-content: center;
    align-items: center;
    padding-top: 40px;
    padding-bottom: 40px;
    background-color: var(--background-color);
}

.about-content {
    padding-top: var(--page-margin);
    padding-bottom: var(--page-margin);
}

.about-content img {
    width: 600px;
    height: auto;
    border-radius: 10px;
}

.about-text {
    width: 600px;
    font-size: 16px;
    line-height: 1.6;
}

.about-text p {
    margin-bottom: 16px;
}

.about-cta a {
    color: var(--accent-color);
    text-decoration: none;;
}

.about-cta:hover {
    text-decoration: underline;
}

.about-content {
    margin: 0 auto;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 40px;
}

/* footer section */
footer {
    background-color: var(--font-color);
    color: var(--secondary-color);
}

.footer-content {
    margin: 0 auto;
    max-width: 1200px;
    justify-content: center;
    align-items: center;
    gap: 45px;
    padding: 40px 80px;
}

.footer-content h1 {
    color: #e3caa6;
    font-size: 100px;
    text-align: center;
    margin: 0 0 16px 0;
}

footer ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

footer ul li a {
    color: var(--secondary-color);
    display: block;
    padding: 14px 16px;
    text-decoration: none;
}

footer ul li a:hover {
    color: #e3caa6;
    transition: color 0.3s ease;
}

/* responsive design */
/* -- tablet (1024px and below) -- */
@media (max-width: 1024px) {
    nav {
        padding: 0 32px;
        height: 56px;
    }

    .hero-content {
        width: 70%;
    }

    .hero-content h1 {
        font-size: 64px;
    }

    .work-content {
        grid-template-columns: 1fr;
        gap: 32px;
        justify-items: center;
    }

    .projects {
        width: 70%;
    }

    .about-content {
        flex-direction: column;
        text-align: left;
    }

    .about-text, .about-content img {
        width: 100%;
        max-width: 600px;
    }

    .footer-content h1 {
        font-size: 64px;
    }
}

/* -- mobile (480px and below) -- */
@media (max-width: 480px) {
    nav {
        padding: 0 16px;
        height: 48px;
    }

    .site-title {
        font-size: 16px;
    }
}